#ifndef BMP180_H
#define BMP180_H

#include <stdint.h>

typedef struct {
    int16_t AC1, AC2, AC3;
    uint16_t AC4, AC5, AC6;
    int16_t B1, B2;
    int16_t MB, MC, MD;
} bmp180_calib_data_t;

int bmp180_init(int fd, bmp180_calib_data_t *calib);
int bmp180_read_temperature(int fd, bmp180_calib_data_t *calib, double *temperature);
int bmp180_read_pressure(int fd, bmp180_calib_data_t *calib, double *pressure);

#endif
